Index: squid/contrib/chpasswd/chpasswd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.c,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/chpasswd.c	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/chpasswd.c	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -682,153 +715,163 @@
 }
 
 
-static void strip_latin(char *line)
+static void
+strip_latin(char *line)
 {
-   char buf[255];
-   char warea[255];
+    char buf[255];
+    char warea[255];
+
+    while (strstr(line, "&") != 0) {
+	getword(warea, line, '&');
+	strncat(warea, line, 1);
+	getword(buf, line, ';');
+	strcat(warea, line);
+	strcpy(line, warea);
+    }
 
-   while(strstr(line,"&") != 0){
-      getword(warea,line,'&');
-      strncat(warea,line,1);
-      getword(buf,line,';');
-      strcat(warea,line);
-      strcpy(line,warea);
-   }
-   
-   return;
-
-}
-
-
-static void vrfyauth(char *authfile, char *PwdLogFile, char *PwdFile, char *SmtpUser, char *SmtpSubject)
-{
-
-   FILE *auth;
-   char IP[30];
-   char buf[MAXLEN];
-   int  authbit=0;
-   struct stat statb;
-
-   if(stat(authfile,&statb)) eperror(authfile);
-   if(statb.st_uid != 0) {
-      Hmsg(msg23);
-      if(strlen(PwdLogFile) > 0)
-         Log(PwdLogFile,"-","","no",msg23,PwdFile,SmtpUser,SmtpSubject);
-      exit(1);
-   }
-   if(statb.st_mode & 022) {
-      Hmsg(msg24);
-      if(strlen(PwdLogFile) > 0)
-         Log(PwdLogFile,"-","","no",msg24,PwdFile,SmtpUser,SmtpSubject);
-      exit(1);
-   }
-
-   if((auth=fopen(authfile,"r"))==NULL) {
-      Hmsg(msg25);
-      if(strlen(PwdLogFile) > 0)
-         Log(PwdLogFile,"-","","no",msg25,PwdFile,SmtpUser,SmtpSubject);
-      exit(1);
-   }
-
-   if(getenv("HTTP_X_FORWARDED_FOR"))
-      sprintf(IP,"%s",getenv("HTTP_X_FORWARDED_FOR"));
-    else sprintf(IP,"%s",getenv("REMOTE_ADDR"));
-
-   while(fgets(buf,MAXLEN,auth)!=NULL) {
-      if(!authbit) {
-         if(strstr(buf,"#") != 0)
-            continue;
-          else  authbit=vauth(buf,IP);
-      }
-   }
-
-   if(!authbit) {
-      Hmsg(msg26);
-      if(strlen(PwdLogFile) > 0)
-         Log(PwdLogFile,"-","","no",msg26,PwdFile,SmtpUser,SmtpSubject);
-      exit(1);
-   }
-   
-   return;
-
-}
-
-
-int vauth(char *buf, char *ip)
-{
-   char a1[4],a2[4],a3[4],a4[4];
-   char o1[4],o2[4],o3[4],o4[4];
-   char ip2[255];
-   int ok=1;
-
-   strcpy(ip2,ip);
-
-   buf[strlen(buf)-1]='\0';
-
-   if(strcmp(buf,"0.0.0.0") == 0)
-      return(1);
-   if(strcmp(buf,ip2) == 0)
-      return(1);
-
-   getword(a1,buf,'.');
-   getword(a2,buf,'.');
-   getword(a3,buf,'.');
-   getword(a4,buf,' ');
-
-   getword(o1,ip2,'.');
-   getword(o2,ip2,'.');
-   getword(o3,ip2,'.');
-   getword(o4,ip2,' ');
-
-   if(strcmp(a1,"0") != 0){
-      if(strcmp(a1,o1) != 0)
-         ok=0;
-   }
-   if(strcmp(a2,"0") != 0){
-      if(strcmp(a2,o2) != 0)
-         ok=0;
-   }
-   if(strcmp(a3,"0") != 0){
-      if(strcmp(a3,o3) != 0)
-         ok=0;
-   }
-   if(strcmp(a4,"0") != 0){
-      if(strcmp(a4,o4) != 0)
-         ok=0;
-   }
+    return;
 
-   return(ok);
 }
 
 
-eperror(s)
-register char *s;
+static void
+vrfyauth(char *authfile, char *PwdLogFile, char *PwdFile, char *SmtpUser,
+    char *SmtpSubject)
 {
-   perror("chpasswd.cgi");
-   exit(1);
 
+    FILE *auth;
+    char IP[30];
+    char buf[MAXLEN];
+    int authbit = 0;
+    struct stat statb;
+
+    if (stat(authfile, &statb))
+	eperror(authfile);
+    if (statb.st_uid != 0) {
+	Hmsg(msg23);
+	if (strlen(PwdLogFile) > 0)
+	    Log(PwdLogFile, "-", "", "no", msg23, PwdFile, SmtpUser,
+		SmtpSubject);
+	exit(1);
+    }
+    if (statb.st_mode & 022) {
+	Hmsg(msg24);
+	if (strlen(PwdLogFile) > 0)
+	    Log(PwdLogFile, "-", "", "no", msg24, PwdFile, SmtpUser,
+		SmtpSubject);
+	exit(1);
+    }
+
+    if ((auth = fopen(authfile, "r")) == NULL) {
+	Hmsg(msg25);
+	if (strlen(PwdLogFile) > 0)
+	    Log(PwdLogFile, "-", "", "no", msg25, PwdFile, SmtpUser,
+		SmtpSubject);
+	exit(1);
+    }
+
+    if (getenv("HTTP_X_FORWARDED_FOR"))
+	sprintf(IP, "%s", getenv("HTTP_X_FORWARDED_FOR"));
+    else
+	sprintf(IP, "%s", getenv("REMOTE_ADDR"));
+
+    while (fgets(buf, MAXLEN, auth) != NULL) {
+	if (!authbit) {
+	    if (strstr(buf, "#") != 0)
+		continue;
+	    else
+		authbit = vauth(buf, IP);
+	}
+    }
+
+    if (!authbit) {
+	Hmsg(msg26);
+	if (strlen(PwdLogFile) > 0)
+	    Log(PwdLogFile, "-", "", "no", msg26, PwdFile, SmtpUser,
+		SmtpSubject);
+	exit(1);
+    }
+
+    return;
+
+}
+
+
+int
+vauth(char *buf, char *ip)
+{
+    char a1[4], a2[4], a3[4], a4[4];
+    char o1[4], o2[4], o3[4], o4[4];
+    char ip2[255];
+    int ok = 1;
+
+    strcpy(ip2, ip);
+
+    buf[strlen(buf) - 1] = '\0';
+
+    if (strcmp(buf, "0.0.0.0") == 0)
+	return (1);
+    if (strcmp(buf, ip2) == 0)
+	return (1);
+
+    getword(a1, buf, '.');
+    getword(a2, buf, '.');
+    getword(a3, buf, '.');
+    getword(a4, buf, ' ');
+
+    getword(o1, ip2, '.');
+    getword(o2, ip2, '.');
+    getword(o3, ip2, '.');
+    getword(o4, ip2, ' ');
+
+    if (strcmp(a1, "0") != 0) {
+	if (strcmp(a1, o1) != 0)
+	    ok = 0;
+    }
+    if (strcmp(a2, "0") != 0) {
+	if (strcmp(a2, o2) != 0)
+	    ok = 0;
+    }
+    if (strcmp(a3, "0") != 0) {
+	if (strcmp(a3, o3) != 0)
+	    ok = 0;
+    }
+    if (strcmp(a4, "0") != 0) {
+	if (strcmp(a4, o4) != 0)
+	    ok = 0;
+    }
+
+    return (ok);
 }
 
 
-void sendmail(char *user, char *subj, char *msg)
+eperror(s)
+     register char *s;
 {
+    perror("chpasswd.cgi");
+    exit(1);
 
-   FILE *mail;
-   char cmd[MAXLEN];
+}
 
-   sprintf(cmd,"mailx -s '%s' %s",subj,user);
 
-   if (access("/bin/mailx", R_OK) == 0)
-      sprintf(cmd,"/bin/mailx -s '%s' %s",subj,user);
-   if (access("/usr/bin/mailx", R_OK) == 0)
-      sprintf(cmd,"/bin/mailx -s '%s' %s",subj,user);
+void
+sendmail(char *user, char *subj, char *msg)
+{
 
-   if((mail =popen(cmd, "w")) != NULL ) {
-      fputs(msg,mail);
-      pclose(mail);
-   }
+    FILE *mail;
+    char cmd[MAXLEN];
 
+    sprintf(cmd, "mailx -s '%s' %s", subj, user);
 
+    if (access("/bin/mailx", R_OK) == 0)
+	sprintf(cmd, "/bin/mailx -s '%s' %s", subj, user);
+    if (access("/usr/bin/mailx", R_OK) == 0)
+	sprintf(cmd, "/bin/mailx -s '%s' %s", subj, user);
+
+    if ((mail = popen(cmd, "w")) != NULL) {
+	fputs(msg, mail);
+	pclose(mail);
+    }
 //   FILE *mail = popen(MAILPROG " -s 'Test Message' root", "w");
 //   if (!mail) {
 //      perror("popen");
@@ -843,5 +886,5 @@
 //             exit(1);
 //         }
 //     }
-   return;
+    return;
 }
Index: squid/contrib/chpasswd/chpasswd.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.dsp,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.3.2.1
diff -u -r1.1.2.3 -r1.1.2.3.2.1
--- squid/contrib/chpasswd/chpasswd.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.3
+++ squid/contrib/chpasswd/chpasswd.dsp	27 Aug 2001 21:48:16 -0000	1.1.2.3.2.1
@@ -53,7 +53,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /machine:I386
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 kernel32.lib /nologo /subsystem:console /machine:I386
 # SUBTRACT LINK32 /pdb:none
 
 !ELSEIF  "$(CFG)" == "chpasswd - Win32 Debug"
@@ -80,7 +80,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 # SUBTRACT LINK32 /pdb:none
 
 !ENDIF 
Index: squid/contrib/chpasswd/chpasswd.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.mak,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.3.2.1
diff -u -r1.1.2.3 -r1.1.2.3.2.1
--- squid/contrib/chpasswd/chpasswd.mak	30 Jun 2001 18:42:07 -0000	1.1.2.3
+++ squid/contrib/chpasswd/chpasswd.mak	27 Aug 2001 21:48:16 -0000	1.1.2.3.2.1
@@ -58,7 +58,7 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\chpasswd.pdb" /machine:I386 /out:"$(OUTDIR)\chpasswd.exe" 
+LINK32_FLAGS=kernel32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\chpasswd.pdb" /machine:I386 /out:"$(OUTDIR)\chpasswd.exe" 
 LINK32_OBJS= \
 	"$(INTDIR)\chpasswd.obj" \
 	"$(INTDIR)\encrypt.obj" \
@@ -101,7 +101,7 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\chpasswd.pdb" /debug /machine:I386 /out:"$(OUTDIR)\chpasswd.exe" /pdbtype:sept 
+LINK32_FLAGS=kernel32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\chpasswd.pdb" /debug /machine:I386 /out:"$(OUTDIR)\chpasswd.exe" /pdbtype:sept 
 LINK32_OBJS= \
 	"$(INTDIR)\chpasswd.obj" \
 	"$(INTDIR)\encrypt.obj" \
Index: squid/contrib/chpasswd/chpasswd.rc
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.rc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/chpasswd.rc	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/chpasswd.rc	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -49,13 +49,13 @@
             VALUE "FileDescription", "SquidNT - CGI NCSA Password Manager\0"
             VALUE "FileVersion", "1, 0, 0, 1\0"
             VALUE "InternalName", "chpasswd\0"
-            VALUE "LegalCopyright", "Romeo Anghelache & Guido Serassio\0"
+            VALUE "LegalCopyright", "Romeo Anghelache, Guido Serassio & Andrey Shorin\0"
             VALUE "LegalTrademarks", "GNU gpl\0"
             VALUE "OriginalFilename", "chpasswd.exe\0"
-            VALUE "PrivateBuild", "STABLE4\0"
+            VALUE "PrivateBuild", "STABLE5\0"
             VALUE "ProductName", "Squid Proxy Server for Windows NT\0"
             VALUE "ProductVersion", "2.3\0"
-            VALUE "SpecialBuild", "STABLE4\0"
+            VALUE "SpecialBuild", "STABLE5\0"
         END
     END
     BLOCK "VarFileInfo"
Index: squid/contrib/chpasswd/conf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/conf.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/conf.h	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/conf.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -1,5 +1,4 @@
 #include "info.h"
-
 #if HAVE_CRYPT_H
 #ifdef WIN32
 #include "crypt.h"
@@ -57,7 +56,8 @@
 int vauth(char *, char *);
 void sendmail(char *, char *, char *);
 void to64(register char *, register long, register int);
-void Log(unsigned char *, unsigned char *, unsigned char *, unsigned char *, unsigned char *, unsigned char *, unsigned char *, unsigned char *);
+void Log(unsigned char *, unsigned char *, unsigned char *, unsigned char *,
+    unsigned char *, unsigned char *, unsigned char *, unsigned char *);
 
 
 
Index: squid/contrib/htpasswd/htpasswd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/htpasswd/Attic/htpasswd.c,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/htpasswd/htpasswd.c	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/htpasswd/htpasswd.c	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -32,60 +32,72 @@
 
 char *tn;
 
-char *strd(char *s) {
+char *
+strd(char *s)
+{
     char *d;
 
-    d=(char *)malloc(strlen(s) + 1);
-    strcpy(d,s);
-    return(d);
+    d = (char *) malloc(strlen(s) + 1);
+    strcpy(d, s);
+    return (d);
 }
 
-void getword(char *word, char *line, char stop) {
-    int x = 0,y;
+void
+getword(char *word, char *line, char stop)
+{
+    int x = 0, y;
 
-    for(x=0;((line[x]) && (line[x] != stop));x++)
-        word[x] = line[x];
+    for (x = 0; ((line[x]) && (line[x] != stop)); x++)
+	word[x] = line[x];
 
     word[x] = '\0';
-    if(line[x]) ++x;
-    y=0;
+    if (line[x])
+	++x;
+    y = 0;
 
-    while((line[y++] = line[x++]));
+    while ((line[y++] = line[x++]));
 }
 
-int getline(char *s, int n, FILE *f) {
-    register int i=0;
+int
+getline(char *s, int n, FILE * f)
+{
+    register int i = 0;
 
-    while(1) {
-        s[i] = (char)fgetc(f);
+    while (1) {
+	s[i] = (char) fgetc(f);
 
-        if(s[i] == CR)
-            s[i] = fgetc(f);
+	if (s[i] == CR)
+	    s[i] = fgetc(f);
 
-        if((s[i] == 0x4) || (s[i] == LF) || (i == (n-1))) {
-            s[i] = '\0';
-            return (feof(f) ? 1 : 0);
-        }
-        ++i;
+	if ((s[i] == 0x4) || (s[i] == LF) || (i == (n - 1))) {
+	    s[i] = '\0';
+	    return (feof(f) ? 1 : 0);
+	}
+	++i;
     }
 }
 
-void putline(FILE *f,char *l) {
+void
+putline(FILE * f, char *l)
+{
     int x;
 
-    for(x=0;l[x];x++) fputc(l[x],f);
-    fputc('\n',f);
+    for (x = 0; l[x]; x++)
+	fputc(l[x], f);
+    fputc('\n', f);
 }
 
 
 /* From local_passwd.c (C) Regents of Univ. of California blah blah */
-static unsigned char itoa64[] =         /* 0 ... 63 => ascii - 64 */
-        "./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
+static unsigned char itoa64[] =	/* 0 ... 63 => ascii - 64 */
+    "./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
 
-void to64(register char *s, register long v, register int n) {
+void
+to64(register char *s, register long v, register int n)
+{
     while (--n >= 0) {
-        *s++ = itoa64[v&0x3f];
-        v >>= 6;
+	*s++ = itoa64[v & 0x3f];
+	v >>= 6;
     }
 }
 
@@ -93,102 +105,108 @@
 /* MPE lacks getpass() and a way to suppress stdin echo.  So for now, just
 issue the prompt and read the results with echo.  (Ugh). */
 
-char *getpass(const char *prompt) {
+char *
+getpass(const char *prompt)
+{
 
-static char password[81];
+    static char password[81];
 
-fputs(prompt,stderr);
-gets((char *)&password);
+    fputs(prompt, stderr);
+    gets((char *) &password);
 
-if (strlen((char *)&password) > 8) {
-  password[8]='\0';
-}
+    if (strlen((char *) &password) > 8) {
+	password[8] = '\0';
+    }
 
-return (char *)&password;
+    return (char *) &password;
 }
 #endif
 
 #ifdef WIN32
 
-int get_password(char s[], int lim)
-
+int
+get_password(char s[], int lim)
 {
-	int     c,i;
+    int c, i;
 
-	i=0;
-	while (--lim > 0 && (c = getch()) != EOF && c != '\n' && c != '\r')
-	{
-		if (c < ' ')
-		{
-			lim++;
-			if (c == '\b' && i > 0)
-			{
-				i--;
-				printf("\b \b");
-			}
-		}
-		else
-		{
-			s[i++] = (char) c;
-			putchar('*');
-		}
+    i = 0;
+    while (--lim > 0 && (c = getch()) != EOF && c != '\n' && c != '\r') {
+	if (c < ' ') {
+	    lim++;
+	    if (c == '\b' && i > 0) {
+		i--;
+		printf("\b \b");
+	    }
+	} else {
+	    s[i++] = (char) c;
+	    putchar('*');
 	}
-	if (c == '\r' || c == '\n')
-		putchar('\n');
-	s[i] = '\0';
-	return i;
+    }
+    if (c == '\r' || c == '\n')
+	putchar('\n');
+    s[i] = '\0';
+    return i;
 }
 
 
-char *getpass(const char *prompt) 
+char *
+getpass(const char *prompt)
 {
 
-	static char password[81];
+    static char password[81];
 
-	fputs(prompt,stderr);
-	get_password((char *)&password, 80);
+    fputs(prompt, stderr);
+    get_password((char *) &password, 80);
 
-	if (strlen((char *)&password) > 8) 
-	{
-		password[8]='\0';
-	}
+    if (strlen((char *) &password) > 8) {
+	password[8] = '\0';
+    }
 
-	return (char *)&password;
+    return (char *) &password;
 }
 
 #endif
 
-void add_password(char *user, FILE *f) {
+void
+add_password(char *user, FILE * f)
+{
     char *pw, *cpw, salt[3];
 
     pw = strd((char *) getpass("New password:"));
-    if(strcmp(pw,(char *) getpass("Re-type new password:"))) {
-        fprintf(stderr,"They don't match, sorry.\n");
-        if(tn)
-            unlink(tn);
-        exit(1);
-    }
-    (void)srand((int)time((time_t *)NULL));
-    to64(&salt[0],rand(),2);
-    cpw = crypt(pw,salt);
+    if (strcmp(pw, (char *) getpass("Re-type new password:"))) {
+	fprintf(stderr, "They don't match, sorry.\n");
+	if (tn)
+	    unlink(tn);
+	exit(1);
+    }
+    (void) srand((int) time((time_t *) NULL));
+    to64(&salt[0], rand(), 2);
+    cpw = crypt(pw, salt);
     free(pw);
-    fprintf(f,"%s:%s\n",user,cpw);
+    fprintf(f, "%s:%s\n", user, cpw);
 }
 
-void usage() {
-    fprintf(stderr,"Usage: htpasswd [-c] passwordfile username\n");
-    fprintf(stderr,"The -c flag creates a new file.\n");
+void
+usage()
+{
+    fprintf(stderr, "Usage: htpasswd [-c] passwordfile username\n");
+    fprintf(stderr, "The -c flag creates a new file.\n");
     exit(1);
 }
 
-void interrupted() {
-    fprintf(stderr,"Interrupted.\n");
-    if(tn) unlink(tn);
+void
+interrupted()
+{
+    fprintf(stderr, "Interrupted.\n");
+    if (tn)
+	unlink(tn);
     exit(1);
 }
 
-void main(int argc, char *argv[]) {
-    FILE *tfp,*f;
+void
+main(int argc, char *argv[])
+{
+    FILE *tfp, *f;
     char user[MAX_STRING_LEN];
     char line[MAX_STRING_LEN];
     char l[MAX_STRING_LEN];
@@ -197,61 +215,61 @@
     int found;
 
     tn = NULL;
-    signal(SIGINT,(void (*)())interrupted);
-    if(argc == 4) {
-        if(strcmp(argv[1],"-c"))
-            usage();
-        if(!(tfp = fopen(argv[2],"w"))) {
-            fprintf(stderr,"Could not open passwd file %s for writing.\n",
-                    argv[2]);
-            perror("fopen");
-            exit(1);
-        }
-        printf("Adding password for %s.\n",argv[3]);
-        add_password(argv[3],tfp);
-        fclose(tfp);
-        exit(0);
-    } else if(argc != 3) usage();
+    signal(SIGINT, (void (*)()) interrupted);
+    if (argc == 4) {
+	if (strcmp(argv[1], "-c"))
+	    usage();
+	if (!(tfp = fopen(argv[2], "w"))) {
+	    fprintf(stderr, "Could not open passwd file %s for writing.\n",
+		argv[2]);
+	    perror("fopen");
+	    exit(1);
+	}
+	printf("Adding password for %s.\n", argv[3]);
+	add_password(argv[3], tfp);
+	fclose(tfp);
+	exit(0);
+    } else if (argc != 3)
+	usage();
 
     tn = tmpnam(NULL);
-    if(!(tfp = fopen(tn,"w"))) {
-        fprintf(stderr,"Could not open temp file.\n");
-        exit(1);
+    if (!(tfp = fopen(tn, "w"))) {
+	fprintf(stderr, "Could not open temp file.\n");
+	exit(1);
     }
 
-    if(!(f = fopen(argv[1],"r"))) {
-        fprintf(stderr,
-                "Could not open passwd file %s for reading.\n",argv[1]);
-        fprintf(stderr,"Use -c option to create new one.\n");
-        exit(1);
+    if (!(f = fopen(argv[1], "r"))) {
+	fprintf(stderr,
+	    "Could not open passwd file %s for reading.\n", argv[1]);
+	fprintf(stderr, "Use -c option to create new one.\n");
+	exit(1);
     }
-    strcpy(user,argv[2]);
+    strcpy(user, argv[2]);
 
     found = 0;
-    while(!(getline(line,MAX_STRING_LEN,f))) {
-        if(found || (line[0] == '#') || (!line[0])) {
-            putline(tfp,line);
-            continue;
-        }
-        strcpy(l,line);
-        getword(w,l,':');
-        if(strcmp(user,w)) {
-            putline(tfp,line);
-            continue;
-        }
-        else {
-            printf("Changing password for user %s\n",user);
-            add_password(user,tfp);
-            found = 1;
-        }
-    }
-    if(!found) {
-        printf("Adding user %s\n",user);
-        add_password(user,tfp);
+    while (!(getline(line, MAX_STRING_LEN, f))) {
+	if (found || (line[0] == '#') || (!line[0])) {
+	    putline(tfp, line);
+	    continue;
+	}
+	strcpy(l, line);
+	getword(w, l, ':');
+	if (strcmp(user, w)) {
+	    putline(tfp, line);
+	    continue;
+	} else {
+	    printf("Changing password for user %s\n", user);
+	    add_password(user, tfp);
+	    found = 1;
+	}
+    }
+    if (!found) {
+	printf("Adding user %s\n", user);
+	add_password(user, tfp);
     }
     fclose(f);
     fclose(tfp);
-    sprintf(command,"cmd /C copy %s %s > NUL",tn,argv[1]);
+    sprintf(command, "cmd /C copy %s %s > NUL", tn, argv[1]);
     system(command);
     unlink(tn);
 }
Index: squid/contrib/htpasswd/htpasswd.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/htpasswd/Attic/htpasswd.dsp,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.3.2.1
diff -u -r1.1.2.3 -r1.1.2.3.2.1
--- squid/contrib/htpasswd/htpasswd.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.3
+++ squid/contrib/htpasswd/htpasswd.dsp	27 Aug 2001 21:48:16 -0000	1.1.2.3.2.1
@@ -50,7 +50,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
-# ADD LINK32 winspool.lib comdlg32.lib shell32.lib ole32.lib oleaut32.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 kernel32.lib /nologo /subsystem:console /machine:I386
 
 !ELSEIF  "$(CFG)" == "htpasswd - Win32 Debug"
 
@@ -74,7 +74,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 
 !ENDIF 
 
Index: squid/contrib/htpasswd/htpasswd.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/htpasswd/Attic/htpasswd.mak,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.3.2.1
diff -u -r1.1.2.3 -r1.1.2.3.2.1
--- squid/contrib/htpasswd/htpasswd.mak	30 Jun 2001 18:42:07 -0000	1.1.2.3
+++ squid/contrib/htpasswd/htpasswd.mak	27 Aug 2001 21:48:16 -0000	1.1.2.3.2.1
@@ -56,7 +56,7 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=winspool.lib comdlg32.lib shell32.lib ole32.lib oleaut32.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\htpasswd.pdb" /machine:I386 /out:"$(OUTDIR)\htpasswd.exe" 
+LINK32_FLAGS=kernel32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\htpasswd.pdb" /machine:I386 /out:"$(OUTDIR)\htpasswd.exe" 
 LINK32_OBJS= \
 	"$(INTDIR)\encrypt.obj" \
 	"$(INTDIR)\htpasswd.obj" \
@@ -98,7 +98,7 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\htpasswd.pdb" /debug /machine:I386 /out:"$(OUTDIR)\htpasswd.exe" /pdbtype:sept 
+LINK32_FLAGS=kernel32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\htpasswd.pdb" /debug /machine:I386 /out:"$(OUTDIR)\htpasswd.exe" /pdbtype:sept 
 LINK32_OBJS= \
 	"$(INTDIR)\encrypt.obj" \
 	"$(INTDIR)\htpasswd.obj" \
Index: squid/contrib/htpasswd/htpasswd.rc
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/htpasswd/Attic/htpasswd.rc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/htpasswd/htpasswd.rc	6 Jan 2001 12:48:45 -0000	1.1.2.1
+++ squid/contrib/htpasswd/htpasswd.rc	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -49,13 +49,13 @@
             VALUE "FileDescription", "SquidNT - NCSA Password Manager\0"
             VALUE "FileVersion", "1, 0, 0, 1\0"
             VALUE "InternalName", "htpasswd\0"
-            VALUE "LegalCopyright", "Romeo Anghelache & Guido Serassio\0"
+            VALUE "LegalCopyright", "Romeo Anghelache, Guido Serassio & Andrey Shorin\0"
             VALUE "LegalTrademarks", "GNU gpl\0"
             VALUE "OriginalFilename", "htpasswd.exe\0"
-            VALUE "PrivateBuild", "STABLE4\0"
+            VALUE "PrivateBuild", "STABLE5\0"
             VALUE "ProductName", "Squid Proxy Server for Windows NT\0"
             VALUE "ProductVersion", "2.3\0"
-            VALUE "SpecialBuild", "STABLE4\0"
+            VALUE "SpecialBuild", "STABLE5\0"
         END
     END
     BLOCK "VarFileInfo"
Index: squid/doc/Programming-Guide/prog-guide.sgml
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/Programming-Guide/prog-guide.sgml,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/doc/Programming-Guide/prog-guide.sgml	6 Jan 2001 12:40:09 -0000	1.1.1.2.4.1.2.1
+++ squid/doc/Programming-Guide/prog-guide.sgml	27 Aug 2001 21:48:16 -0000	1.1.1.2.4.1.2.1.2.1
@@ -2,7 +2,7 @@
 <article>
 <title>Squid Programmers Guide</title>
 <author>Duane Wessels, Squid Developers
-<date>$Id: prog-guide.sgml,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:09 hno Exp $</date>
+<date>$Id: prog-guide.sgml,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:16 tolsty Exp $</date>
 
 <abstract>
 Squid is a WWW Cache application developed by the National Laboratory
Index: squid/include/Array.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Array.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/Array.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/Array.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: Array.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: Array.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -32,18 +32,20 @@
 
 /* see Array.c for more documentation */
 
-typedef struct {
+typedef struct
+{
     int capacity;
     int count;
     void **items;
-} Array;
+}
+Array;
 
 
 extern Array *arrayCreate();
 extern void arrayInit(Array * s);
 extern void arrayClean(Array * s);
-extern void arrayDestroy(Array *s);
-extern void arrayAppend(Array *s, void *obj);
+extern void arrayDestroy(Array * s);
+extern void arrayAppend(Array * s, void *obj);
 extern void arrayPreAppend(Array * s, int app_count);
 
 
